- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5daf1ddd-e6f4-4fbd-9f4b-401d927af2dc
    creation_time: 2023-02-17T13:42:46.524614Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps3.c
      input_file_hashes:
        c/nla-digbench/ps3.c: 1d8fc0d7ff43a42f656480fc7d5233c0c79cd0a3f75294139e465d6ac8237bd1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps3.c
    file_hash: 1d8fc0d7ff43a42f656480fc7d5233c0c79cd0a3f75294139e465d6ac8237bd1
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: 6 * x - 2 * y * y * y - 3 * y * y - y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6d36c472-cd13-4873-9835-c3603a2394e7
    creation_time: 2023-02-17T13:42:46.525051Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps3.c
      input_file_hashes:
        c/nla-digbench/ps3.c: 1d8fc0d7ff43a42f656480fc7d5233c0c79cd0a3f75294139e465d6ac8237bd1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps3.c
    file_hash: 1d8fc0d7ff43a42f656480fc7d5233c0c79cd0a3f75294139e465d6ac8237bd1
    line: 27
    column: 0
    function: main
  location_invariant:
    string: 6 * x - 2 * y * y * y - 3 * y * y - y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 12cbbeb1-df7e-4d4d-8acb-7432ef0b18cf
    creation_time: 2023-02-17T13:42:46.525151Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps3.c
      input_file_hashes:
        c/nla-digbench/ps3.c: 1d8fc0d7ff43a42f656480fc7d5233c0c79cd0a3f75294139e465d6ac8237bd1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps3.c
    file_hash: 1d8fc0d7ff43a42f656480fc7d5233c0c79cd0a3f75294139e465d6ac8237bd1
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 6 * x - 2 * y * y * y - 3 * y * y - y == 0
    type: assertion
    format: C

